/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package salidasautomaticas.schedule;

import java.util.Timer;
import java.util.TimerTask;
import org.json.JSONArray;
import org.json.JSONObject;
import salidasautomaticas.services.SalidasServices;

/**
 *
 * @author sistem19user
 */
public class ActualizarSalidaTask extends TimerTask{
    SalidasServices services = new SalidasServices();
    private Timer timer;
    private String horaSalida;
   
    public ActualizarSalidaTask(Timer timer, String horaSalida){
        this.timer = timer;
        this.horaSalida = horaSalida;
    }
    
    
    @Override
    public void run() {
        System.out.println("Ejecutando salida "+horaSalida);
        JSONObject objJSON= services.actualizarSalidas(horaSalida);
        
        JSONObject objSalidaAsignada= services.asignarHorarioSalida();
        
        
        if(objSalidaAsignada.getInt("msg")>0){
            System.out.println("Se asignaron horarios de salida correctamente, filas afectadas="+objSalidaAsignada.getInt("msg"));
        }else{
            System.out.println("No se pudo asignar horarios de salida");
        }
        
        
//        JSONArray objNuevasSalidas = services.obtenerSalidasNuevas();
//        JSONArray objPersonalSinSalida = services.obtenerPersonalNuevoSinSalida();
       
        
        System.out.println("Matando timer "+timer);
        timer.cancel();
    }
    
}
